[@rxap/ngx-bootstrap](../wiki/globals) / ApplicationAfterFunction

# Type Alias: ApplicationAfterFunction()\<Config, Ref, Env\>

> **ApplicationAfterFunction**\<`Config`, `Ref`, `Env`\>: (`this`, `app`, `config`, `logger`, `options`, `environment`) => `any` \| `Promise`\<`any`\>

Defined in: [application.ts:28](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/bootstrap/src/lib/application.ts#L28)

## Type Parameters

• **Config** *extends* `object`

• **Ref** *extends* [`RefWithInjector`](../wiki/Interface.RefWithInjector)

• **Env** *extends* `Environment` = `Environment`

## Parameters

### this

[`Application`](../wiki/Class.Application)\<`Config`, `Ref`, `Env`\>

### app

`Ref`

### config

`ConfigService`

### logger

`Console`

### options

`Config`

### environment

`Env`

## Returns

`any` \| `Promise`\<`any`\>
